<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined('_JEXEC') or die('Restricted access');



class TableCategories extends JTable

{

	var $id = null;
	var $alias = null;
	var $name = null;
	var $parent_id = null;
	var $published = 1;


	function __construct(&$db){
		parent::__construct( '#__djcat_categories', 'id', $db);
	}
	
	function check() {
		$query = 'SELECT id FROM #__djcat_categories WHERE name = '.$this->_db->Quote($this->name);
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			$this->setError(JText::_('CATEGORY_ALREADY_EXISTS'));
			return false;
		}

		if(empty($this->alias)) {
			$this->alias = $this->name;
		}
		$this->alias = JFilterOutput::stringURLSafe($this->alias);
		if(trim(str_replace('-','',$this->alias)) == '') {
			$datenow =& JFactory::getDate();
			$this->alias = $datenow->toFormat("%Y-%m-%d-%H-%M-%S");
		}
		return true;
	}
}

?>