<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');



class DjCatalogViewCategories extends JView {

	function display($tpl = null)

	{

		$model =& $this->getModel();

		$nl = $model->getCategories();
		$tree = new CatTree();
		$tree->buildTree($nl);
		$root = &$tree->getRoot();
		$this->assignRef('catlist',$nl);
		$this->assignRef('root',$root);
		
		$lists = array();
		
		global $mainframe, $option;
		
		//$context = 'com_djcatalog.items.list';
		
		$filter_state = $mainframe->getUserStateFromRequest($option.'filter_state', 'filter_state');
		
		$lists['state'] = JHTML::_('grid.state', $filter_state);
		
		$this->assignRef('lists', $lists);

		

		JToolBarHelper::title(JText::_('CATEGORIES'));

		JToolBarHelper::preferences('com_djcatalog','500');

		JToolBarHelper::addNew('add',JText::_('ADD'));

		JToolBarHelper::editList('edit',JText::_('EDIT'));

		JToolBarHelper::deleteList(JText::_('REMOVE_ACCEPTATION'),'remove');

		

		

    	JSubMenuHelper::addEntry(JText::_('CATEGORIES'), 'index.php?option=com_djcatalog', true);

		JSubMenuHelper::addEntry(JText::_('ITEMS'), 'index.php?option=com_djcatalog&task=items', false);
		
		JSubMenuHelper::addEntry(JText::_('NO_CATEGORY_ITEMS'), 'index.php?option=com_djcatalog&task=nocategoryitems', false);
		
				JSubMenuHelper::addEntry(JText::_('DELETING PRODUCERS'), 'index.php?option=com_djcatalog&task=producers', false);

		parent::display($tpl);

	}

}