<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

$editor =& JFactory::getEditor();

$getTexts = $editor->getContent('description');

jimport('joomla.media.images');

$document=& JFactory::getDocument();
$js = JPATH_BASE.'/components/com_djcatalog/images/Moo.Form.js';
$document->addScript($js);
JHTML::_( 'behavior.Mootools' );

?>
<form action="index.php" method="post" name="adminForm" id="adminForm"  enctype='multipart/form-data'>
    <fieldset class="adminform">
    	<center><img src='<?php echo JURI::base() ?>/components/com_djcatalog/images/long_loader.gif' alt='LOADING' style='display: none;' id='upload_loading' /><div id="alercik"></div></center>
		<legend>
            <?php echo JText::_('DETAIL'); ?>
        </legend>
        <table class="admintable">
            <tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('NAME');?>
                </td>
                <td>
                    <input class="text_area" type="text" name="name" id="name" size="50" maxlength="250" value="<?php echo $this->nl->name; ?>" />
                </td>
            </tr>
			<tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('ALIAS');?>
                </td>
                <td>
                    <input class="text_area" type="text" name="alias" id="alias" size="50" maxlength="250" value="<?php echo $this->nl->alias; ?>" />
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('PARENT_CATEGORY');?>
                </td>
                <td>
                    <?php
							$options = renderOptionList($this->root);
							echo JHTML::_('select.genericlist', $options, 'cat_id', null, 'value', 'text', $this->nl->cat_id);
						?>
                </td> 
            </tr>
			<tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('PRODUCER');?>
                </td>
                <td>
                    <?php
							$options = array();
							$options[] = JHTML::_('select.option', 0,JText::_('CHOOSE_PRODUCER') );
							foreach($this->producers as $producer){
								$options[] = JHTML::_('select.option', $producer->id, $producer->name);
								
							}
							echo JHTML::_('select.genericlist', $options, 'producer_id', null, 'value', 'text', $this->nl->producer_id);
						?>
                </td>
            </tr>
			<tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('INTRO_DESCRIPTION');?>
                </td>
                <td>
                	<?php echo $editor->display( 'intro_desc', $this->nl->intro_desc, '100%', '180', '40', '10',false);?>
                </td>
            </tr>
            <tr>
            <tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('DESCRIPTION');?>
                </td>
                <td>
                    <?php echo $editor->display( 'description', $this->nl->description, '100%', '250', '40', '10',true );?>
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('IMAGES_INCLUDED');?>
                </td>
                <td>
                	<input type="hidden" name="image_url" id="image_url" value="<?php echo $this->nl->image_url ?>" />
                    <?php
							$images = array();
							if(!$this->nl->image_url){
								echo JText::_('NO_IMAGES_INCLUDED');
							}else{
								$temp = explode(";",$this->nl->image_url);
								for($i=0; $i<count($temp)-1;$i++ ) {
									$images[]=$temp[$i];
								}
							
							for($i=0; $i<count($images); $i++){
								?>
									<?php 
										  
										  $sciezka = str_replace('/administrator','',JURI::base());
									      $sciezka .= '/components/com_djcatalog/images/';
										  $sciezka .= $images[$i];
										  ?>
										  <img src="<?php echo $sciezka;?>.th.jpg"/>
										  <input type="checkbox" name="usun[]" id="usun[]" value="<?php echo $images[$i];?>"/>
										  <?php echo JText::_('CHECK_TO_DELETE'); ?>
										  <br/>
								<?php
							}
							}
						?>
                </td>
            </tr>
			<tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('ADD_IMAGE');?>
                </td>
                <td>
                    <?php $image_urls = ""?>
					<div id="uploader">
					<input type="file"  name="image[]" />

					</div><br/><a href="#" onclick="addImage(); return false;" ><?php echo JText::_('ADD_IMG_LINK')?></a>
                </td>
            </tr>
			<tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('FILES_INCLUDED');?>
                </td>
                <td>
                	<input type="hidden" name="files_url" id="files_url" value="<?php echo $this->nl->files_url ?>" />
                    <?php
							$files = array();
							if(!$this->nl->files_url){
								echo JText::_('NO_FILES_INCLUDED');
							} else{
								$temp = explode(";",$this->nl->files_url);
								for($i=0; $i<count($temp)-1;$i++ ) {
									$files[]=$temp[$i];
								}
														
							for($i=0; $i<count($files); $i++){
								?>
									<?php 
										  /*$sciezka = str_replace('/administrator','',JURI::base());
									      $sciezka .= 'components/com_djcatalog/files/';
										  $sciezka .= $files[$i];
										  echo $sciezka;*/
										 echo substr($files[$i], 32);
										  ?>
										  <input type="checkbox" name="usun_plik[]" id="usun_plik[]" value="<?php echo $files[$i]; ?>"/>
										  <?php echo JText::_('CHECK_TO_DELETE');?>
										  <br/>
								<?php
							}
							}
						?>
                </td>
            </tr>
			<tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('ADD_FILE');?>
                </td>
                <td>
                    <?php $file_urls = ""?>
					<div id="uploader2">
					<input type="file"  name="files[]" />

					</div><br/><a href="#" onclick="addFile(); return false;" ><?php echo JText::_('ADD_FILE_LINK')?></a>
                </td>
            </tr>
			<tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('SET_PRICE');?>
                </td>
                <td>
                    <input class="text_area" type="text" name="price" id="price" size="50" maxlength="250" value="<?php echo $this->nl->price; ?>" onChange="check()"/> <div id="price_alert" name="price_alert"></div>
					
                </td>
            </tr>
        </table>
    </fieldset>
    <input type="hidden" name="id" value="<?php echo $this->nl->id; ?>" />
	<input type="hidden" name="ordering" value="<?php echo $this->nl->ordering; ?>" />
	<input type="hidden" name="option" value="<?php echo $option;?>" />
	<input type="hidden" name="task" value="items" />
	<input type="hidden" name="boxchecked" value="0" />
</form>

<script type="text/javascript">	

function check(){
	if(document.adminForm.price.value.search(/^[0-9]+(\.{1}[0-9]{1,2})?$/i)){
				document.adminForm.price.style.backgroundColor='#F00000';
				$('price_alert').innerHTML = "<?php echo JText::_('ALERT_PRICE')?>";
				$('price_alert').setStyle('background','#f00000');
				$('price_alert').setStyle('color','#ffffff');
				$('price_alert').setStyle('font-weight','bold');
			}
			else{
				document.adminForm.price.style.backgroundColor='';
				$('price_alert').innerHTML = '';
				$('price_alert').setStyle('background','none');
			}
}
	
function addImage(){
	var inputdiv = document.createElement('input');
	inputdiv.setAttribute('name','image[]');
	inputdiv.setAttribute('type','file');

	var ni = $('uploader');
	
	ni.appendChild(document.createElement('br'))
	ni.appendChild(inputdiv);
}

function addFile(){
	var inputdiv = document.createElement('input');
	inputdiv.setAttribute('name','files[]');
	inputdiv.setAttribute('type','file');

	var ni = $('uploader2');
	
	ni.appendChild(document.createElement('br'))
	ni.appendChild(inputdiv);
}



function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancelItem') {
			submitform( pressbutton );
			return;
		}

		// do field validation
		if (form.name.value == ""){
			alert( "<?php echo JText::_( 'ALERT_ITEM_NAME', true ); ?>" );
		} 
		else if (form.producer_id.value == "0"){
			alert( "<?php echo JText::_( 'ALERT_ITEM_PRODUCER', true ); ?>" );
		} else  {
			$('upload_loading').setStyle('display', 'block');
			$('alercik').innerHTML = "<?php echo JText::_('ALERT_SUBMIT');?>";
			submitform( pressbutton );
			document.adminForm.button.disabled=true;
		}
	}
</script>