<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

$document=& JFactory::getDocument();

$cs = JURI::base().'components/com_djcatalog/views/items/tmpl/style.css';

$document->addStyleSheet($cs); 

$cid = JRequest::getVar('cid','0','default','int');
$cat_id = JRequest::getVar('cat_id','0','default','int');

$limit = JRequest::getVar('limit', '10', 'default', 'int');
$limitstart = JRequest::getVar('limitstart', '0', 'default', 'int');

$ordering = false;
if (JRequest::getVar('order') == 'ordering' && $cat_id!=0) 
	$ordering = true;
?>


<form action="index.php" method="get" name="adminForm">
<!--<table style="float: left; margin-right: 20px;"><div id="mod_dj_catalog">
<ul class="djcatalog" style="float: left; margin-right: 20px; margin-left:0px;">
	<?php
	/*
	$_list = new TreeNodeHelper();
$_list->getTreeList($sort_list);*/ ?>
</ul></div>
	
</table>-->

<table>
	<tr>
      	<td align="left" width="100%">
      		<input type="text" type="text" name="find_name" size="30" maxlength="250" value="<?php echo JRequest::getVar('find_name');?>"/>
			<input type="submit" class="button" value="szukaj" />
        </td>
		<td nowrap="nowrap">
		<?php
			echo $this->lists['categories'];
			//echo $this->lists['state'];
		?>
	</td>
	</tr>
</table>
    <table class="adminlist">
        <thead>
            <tr>
                <th width="5">
                    <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->list); ?>);"/>
                </th>
                <th width="20">
                    <a href="index.php?option=com_djcatalog&task=items&order=id&cat_id=<?php echo $cat_id ; ?>&limit=<?php echo $limit; ?>&limitstart=<?php echo $limitstart;?>"><?php echo JText::_( 'id' ); ?></a>
                </th>
                <th>
                    <a href="index.php?option=com_djcatalog&task=items&order=name&cat_id=<?php echo $cat_id ; ?>&limit=<?php echo $limit; ?>&limitstart=<?php echo $limitstart;?>"><?php echo JText::_( 'NAME' ); ?></a>
                </th>
                <th width="15%">
                    <a href="index.php?option=com_djcatalog&task=items&order=category&cat_id=<?php echo $cat_id ; ?>&limit=<?php echo $limit; ?>&limitstart=<?php echo $limitstart;?>"><?php echo JText::_( 'CATEGORY' ); ?></a>
                </th>
				<th width="15%">
                    <a href="index.php?option=com_djcatalog&task=items&order=producer&cat_id=<?php echo $cat_id ; ?>&limit=<?php echo $limit; ?>&limitstart=<?php echo $limitstart;?>"><?php echo JText::_( 'PRODUCER' ); ?></a>
                </th>
				<th width="10%" align="center">
                    <a href="index.php?option=com_djcatalog&task=items&order=ordering&cat_id=<?php echo $cat_id ; ?>&limit=<?php echo $limit; ?>&limitstart=<?php echo $limitstart;?>"><?php echo JText::_( 'POSITION' ); ?></a>
					<?php if ($ordering) 
							echo JHTML::_('grid.order',  $this->list ); 
						?>
                </th>
                <th width="5%">
                    <a href="index.php?option=com_djcatalog&task=items&order=published&cat_id=<?php echo $cat_id ; ?>&limit=<?php echo $limit; ?>&limitstart=<?php echo $limitstart;?>"><?php echo JText::_( 'PUBLISHED' ); ?></a>
                </th>
            </tr>
        </thead>
        <?php $i=0; 
		
for ($i=0, $n=count( $this->list ); $i < $n; $i++) {
		
	$l = &$this->list[$i]; 

	$l->name = JHTML::link('index.php?option=com_djcatalog&task=editItem&cid[]='.$l->id, $l->name);

	$checked = JHTML::_('grid.id', $i, $l->id );
	

	$published=JHTML::_('grid.published', $l, $i);

	?>
        <tr>
            <td>
                <?php echo $checked ?>
            </td>
            <td>
                <?php echo $l->id; ?>
            </td>
            <td>
                <?php echo $l->name; ?>
            </td>
            <td>
                <?php echo $l->cat_name; ?>
            </td>
			<td>
                <?php echo $l->p_name; ?>
            </td>
			<td class="order">
				<span><?php echo $this->pagination->orderUpIcon( $i, true,'orderup', 'Move Up', $ordering ); ?></span>
				<span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
				<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
				<input type="text" name="order[]" size="5" value="<?php echo $l->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
			</td>
            <td align="center">
                <?php echo $published; ?>
            </td>
        </tr>
        <?php } ?>
   
    <tfoot>
        <td colspan="7">
            <?php echo $this->pagination->getListFooter(); ?>
        </td>
    </tfoot>
	 </table>
    <input type="hidden" name="option" value="com_djcatalog" />
	<input type="hidden" name="task" value="items" />
	<input type="hidden" name="t" value="items" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="order" value="<?php echo JRequest::getVar('order') ?>" />
</form>