<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');

class DjcatalogModelShow extends JModel
{	

	function getCat()

	{

		global $option;

		JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');
		$row =& JTable::getInstance('categories','Table');
		$cid = JRequest::getVar('cid', array(0), '', 'array' );
  		$id = $cid[0];
		$row->load( $id ); 
		return $row;

	}
	
	var $_categories;
	var $_category;
	var $_elems;
	var $wynik = array();
	var $_catpath = array();
	
	function checkChilds(&$tab){
		
		for($i=0; $i< count($tab); $i++){
			$wynik[] = $this->_categories[$i];
			$query = "SELECT * FROM #__djcat_categories WHERE parent_id LIKE ".$this->_categories[$i]->id."";
			$wyni = $this->_getList($query,0,0);
			$wynik = array_merge($wynik,$wyni);
			
		}
		$this->checkChilds($wyni);
	}
	
	function getCategories(){
		
		if(!$this->_categories){
			
			$db= &JFactory::getDBO();
			$query = "SELECT * FROM #__djcat_categories";
			$db->setQuery($query);
			$this->_categories=$db->loadObjectList();
		
		
		}
		return $this->_categories;
	}
	
	
	function getElements($id){
		global $mainframe;
		$par =& $mainframe->getParams('com_djcatalog');
		$list = implode(",", $id);
			$limit		= $par->get('limit_items_show');
			$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
			$producer_id = JRequest::getVar('pid', 0, '', 'int');
			$search = '';
			if(JRequest::getVar('search','0','string')!='0'){
				$search = " AND name LIKE '%".JRequest::getVar('search','0','string')."%' ";
			}
			
			$producer = '';
			if($producer_id){
				$producer = ' AND producer_id LIKE '.$producer_id. '';
			}
			$order = JRequest::getVar('order');
			$db= &JFactory::getDBO();
			switch ($order) {
				case 'aname':
							$orderQuery=' ORDER BY name ASC, price';
							break;
				case 'dname':
							$orderQuery=' ORDER BY name DESC, price';
							break;
				case 'aprice':
							$orderQuery=' ORDER BY CAST(price as UNSIGNED) ASC, name';
							break;
				case 'dprice':
							$orderQuery=' ORDER BY CAST(price as UNSIGNED) DESC, name';
							break;
				default: 
							$orderQuery = ' ORDER BY ordering';
							break;
			}
			$query = "SELECT * FROM #__djcat_items WHERE cat_id IN (".$list.")".$producer.$search.$orderQuery;
			$db->setQuery($query);
			$Arows = $this->_getList($query, $limitstart, $limit);	

			return $Arows;
	}
		function getCountElements($id){
		$list = implode(",", $id);
			$producer_id = JRequest::getVar('pid', 0, '', 'int');
			$search = '';
			if(JRequest::getVar('search','0','string')!='0'){
				$search = " AND name LIKE '%".JRequest::getVar('search','0','string')."%' ";
			}
			
			$producer = '';
			if($producer_id){
				$producer = ' AND producer_id LIKE '.$producer_id. '';
			}
			$db= &JFactory::getDBO();
			$query = "SELECT COUNT(*) FROM #__djcat_items WHERE cat_id IN (".$list.")".$producer.$search;

			$db->setQuery($query);
			$allelems=$db->loadResult();
			

			return $allelems;
	}
	function getCategory($_id){
		
		if(!$this->_category){
			$db= &JFactory::getDBO();
			$query = "SELECT * FROM #__djcat_categories WHERE id LIKE ".$_id;

			$db->setQuery($query);
			$this->_category=$db->loadObject();

		}
		
			return $this->_category;
	}	
	
	function getAllCountElements(){
			$producer_id = JRequest::getVar('pid', 0, '', 'int');
			$search = '';
			if(JRequest::getVar('search','0','string')!='0'){
				$search = " AND name LIKE '%".JRequest::getVar('search','0','string')."%' ";
			}
			
			$producer = '';
			if($producer_id){
				$producer = ' AND producer_id LIKE '.$producer_id. '';
			}
			$db= &JFactory::getDBO();
			$query = "SELECT COUNT(*) FROM #__djcat_items WHERE 1 ".$producer.$search;

			$db->setQuery($query);
			$allelems=$db->loadResult();
			

			return $allelems;
	}
	
	function getAllElements(){
			
			global $mainframe;
			$par = &JComponentHelper::getParams( 'com_djcatalog' );		
			$limit		= $par->get('limit_items_show');
			
			$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
			$producer_id = JRequest::getVar('pid', 0, '', 'int');
			$search = '';
			if(JRequest::getVar('search','0','string')!='0'){
				$search = " AND name LIKE '%".JRequest::getVar('search','0','string')."%' ";
			}
			
			$producer = '';
			if($producer_id){
				$producer = ' AND producer_id LIKE '.$producer_id. '';
			}
			$order = JRequest::getVar('order');
			$db= &JFactory::getDBO();
			switch ($order) {
				case 'aname':
							$orderQuery=' ORDER BY name ASC, price';
							break;
				case 'dname':
							$orderQuery=' ORDER BY name DESC, price';
							break;
				case 'aprice':
							$orderQuery=' ORDER BY CAST(price as UNSIGNED) ASC, name';
							break;
				case 'dprice':
							$orderQuery=' ORDER BY CAST(price as UNSIGNED) DESC, name';
							break;
				default: 
							$orderQuery = ' ORDER BY ordering';
							break;
			}
			$query = "SELECT * FROM #__djcat_items WHERE 1 ".$producer.$search.$orderQuery;
			$db->setQuery($query);
			$Arows = $this->_getList($query, $limitstart, $limit);	

			return $Arows;
	}
	
	function getPath($catid){
		if(!$this->_catpath){
			$db= &JFactory::getDBO();
			$query = "SELECT * FROM #__djcat_categories";
			$db->setQuery($query);
			$categories = $db->loadObjectList();
			$this->buildPath($categories, $catid,$this->_catpath);
		}
		return $this->_catpath;
	}
	
	function buildPath(&$categories, $catid, &$pathTable) {
		foreach ($categories as $row) {
			if ($row->id == $catid) {
				if ($row->parent_id == 0) {
					$pathTable[]= Array('id' => $row->id, 'name'=> $row->name);
					return true;
				}
				else {
					$pathTable[]= Array('id' => $row->id, 'name'=> $row->name);
					$this->buildPath($categories, $row->parent_id, $pathTable);
				}
			}
		}
		return false;
	}
	
}

