<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');



class DjcatalogModelShowItem extends JModel {	
	var $_item;
	var $_catpath=Array();

	function getItem($_id){
		
		if(!$this->_item){
			$db= &JFactory::getDBO();
			$query = "
					SELECT i.*, c.name AS cat_name
					FROM #__djcat_items AS i
					LEFT JOIN  #__djcat_categories AS c
					ON c.id = i.cat_id
					WHERE i.id LIKE ".$_id;

			$db->setQuery($query);
			$this->_item = $db->loadObject();
		}
			return $this->_item;
	}
	
	function getPath($catid){
		if(!$this->_catpath){
			$db= &JFactory::getDBO();
			$query = "SELECT * FROM #__djcat_categories";
			$db->setQuery($query);
			$categories = $db->loadObjectList();
			$this->buildPath($categories, $catid,$this->_catpath);
		}
		return $this->_catpath;
	}
	
	function buildPath(&$categories, $catid, &$pathTable) {
		foreach ($categories as $row) {
			if ($row->id == $catid) {
				if ($row->parent_id == 0) {
					$pathTable[]= Array('id' => $row->id, 'name'=> $row->name);
					return true;
				}
				else {
					$pathTable[]= Array('id' => $row->id, 'name'=> $row->name);
					$this->buildPath($categories, $row->parent_id, $pathTable);
				}
			}
		}
		return false;
	}
}