<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

$limitstart= JRequest::getVar('limitstart',0);
$cid= JRequest::getVar('cid');
$order = JRequest::getVar('order');

switch($order) {
	case 'aname':
				$nameorder = 'dname';
				$priceorder = 'aprice';
				break;
	case 'dname': 
				$nameorder = 'aname';
				$priceorder = 'aprice';
				break;
	case 'aprice':
				$priceorder = 'dprice';
				$nameorder = 'aname';
				break;
	case 'dprice':
				$priceorder = 'aprice';
				$nameorder = 'aname';
				break;
	default: 
			$nameorder = 'aname';
			$priceorder = 'aprice';
			break;
}

$producer_id = JRequest::getVar('pid');
$itemid = JRequest::getVar('Itemid');
$pid = "";
if($producer_id)
	$pid ="&pid=".$producer_id."";
$search = JRequest::getVar('search', '', '', 'string');
$layout = JRequest::getVar('layout', 'default', '', 'string');

$footerspan=4;
if ($this->showprice) $footerspan=5;

?>

<?php if ($this->params->get( 'show_page_title', 1)) : ?>
<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ) ?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>

<div id="djcatalog">
        <table cellpadding="0" cellspacing="0">
                <tr class="sectiontableheader">
                    <td class = "djcat_product">
                        <?php echo (JHTML::link(JRoute::_('index.php?option=com_djcatalog&view=show&cid='.$cid.'&limitstart='.$limitstart.'&order='.$nameorder.$pid.'&layout='.$layout), JText::_('PRODUCT_NAME'))); ?>
                    </td>
                    <td class = "djcat_intro">
                        <?php echo JText::_('SHORT_DESCRIPTION'); ?>
                    </td>
					<?php if ($this->showprice) { ?>
                    <td class = "djcat_price">
                        <?php echo (JHTML::link(JRoute::_('index.php?option=com_djcatalog&view=show&cid='.$cid.'&limitstart='.$limitstart.'&order='.$priceorder.$pid.'&layout='.$layout), JText::_('PRICE'))); ?>
                    </td>
					<?php } ?>
                    <td class = "djcat_picture">&nbsp;
                    </td>
                </tr>
            <?php
						$class = 1;
			foreach($this->items as $list_e){
				$class = ($class==1)?2:1;
				?>
            <tr class="sectiontableentry<?php echo $class;?>">
                <td class = "djcat_product">
                    <?php echo (JHTML::link(JRoute::_('index.php?option=com_djcatalog&view=showItem&id='.$list_e->id.'&cid='.$list_e->cat_id), $list_e->name)); ?>
                </td>
                <td class = "djcat_intro">
                    <?php echo $list_e->intro_desc; ?>
                </td>
				<?php if ($this->showprice) { ?>
                <td class = "djcat_price">
                    <?php
					 	$price = number_format($list_e->price, 2, $this->dec_sep, $this->th_sep); 
						
						if($list_e->price > 0) {
							if($this->unit_side) {
								echo $price.'&nbsp;'.$this->price_unit; 
							}
							else {
								echo $this->price_unit.'&nbsp;'.$price; 
							}
						}
						else echo JText::_('NO_PRICE');
						
						?>
                </td>
				<?php }?>
                <td class = "djcat_picture" >
                    <?php $images = explode(";",$list_e->image_url);		
					if($list_e->image_url==""){?>
                    <img src="<?php echo JURI::base().'components/com_djcatalog/images/'.'error.jpg';?>" alt="error"/>
                    <?php }
					else{
					?>
                    <a class="modal" style="display: block;" href="<?php echo JURI::base().'components/com_djcatalog/images/'.$images[0];?>" target="_blank"><img src="<?php echo JURI::base().'components/com_djcatalog/images/'.$images[0].'.ths.jpg';?>" style="top: 0;" alt="<?php echo $list_e->name; ?>"/></a>
                    <?php } ?>
                </td>
            </tr>
            <?php
			}
            ?>
            <tr>
                <td class="djcat_pag" colspan="<?php echo $footerspan;?>">
                    <?php 
					echo $this->pagination->getPagesLinks(); 
					?>
				</td>
            </tr>
        </table>
		<?php if ($this->showfooter) echo $this->footer; ?>
</div>
