<?php
/**
* @version		1.00
* @package		DJ Catalog
* @subpackage	DJ Catalog Producers Module
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');
require_once(dirname(__FILE__).DS.'helper.php');
$lang =& JFactory::GetLanguage();
$lang->load('com_djcatalog');
$p = new DjcatalogModelProducer();
$producers = $p->getProducers();
$cid = JRequest::getVar('cid',0,'default','int');
$order = JRequest::getVar('order','ordering','default','string');
$prod_id = JRequest::getVar('pid', 0, 'default', 'int');
$search = JRequest::getVar('search', '', 'default', 'string');

$Itemid = JRequest::getVar('Itemid', 0, 'default','int');
$option = JRequest::getVar('option', '', 'default','string');

if ($Itemid==0 || $option != 'com_djcatalog') {
$menu = &JSite::getMenu();
$items	= $menu->getItems('component', 'com_djcatalog');
		if(isset($items[0])) {
			$Itemid = $items[0]->id;
		}
}

$layout = $params->get('layout', 0);
if ($layout == 1)	$layout = 'blog';
else $layout ='default';
?>

<form action="<?php echo JRoute::_('index.php?option=com_djcatalog&view=show&layout='.$layout.'&cid='.$cid.'&Itemid='.$Itemid) ?>" method="post" name="producersForm" id="producersForm" >
	<!--<input type="hidden" name="option" value="com_djcatalog" />
	<input type="hidden" name="view" value="show" />
	<input type="hidden" name="layout" value="<?php echo $layout; ?>" />
	<input type="hidden" name="cid" value="<?php echo $cid; ?>" />
	<input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />-->
	<input type="hidden" name="order" value="<?php echo $order; ?>" />
    <?php
		$options = array();
		$options[] = JHTML::_('select.option', 0,JText::_('CHOOSE_PRODUCER') );
		foreach($producers as $producer){
			$options[] = JHTML::_('select.option', $producer['id'], $producer['name']);
			
		}

		echo JHTML::_('select.genericlist', $options, 'pid', 'onchange="producersForm.submit()"', 'value', 'text', $prod_id);
?>
<input type="submit" style="display: none;"/>
</form>
