<?php
/**
* @version		1.00
* @package		DJ Catalog
* @subpackage	DJ Catalog Frontpage Module
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Michal Olczyk - michal.olczyk@design-joomla.eu
*/
	define('_JEXEC', 1);
	define('JPATH_BASE', realpath(dirname( __FILE__ ).'/../..'));

	define('DS', '/');

	require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
	require_once (JPATH_BASE.DS.'includes'.DS.'framework.php');
	require_once ( JPATH_BASE .DS.'libraries'.DS.'joomla'.DS.'factory.php' );
	
	JDEBUG?$_PROFILER->mark('afterLoad'):null;

    $mainframe = & JFactory::getApplication('site');
	$par =& $mainframe->getParams('com_languages');
	$frontend_lang = $par->get('site', 'en-GB');
	$language = JLanguage::getInstance($frontend_lang); 
	$language->setLanguage($frontend_lang);
	$language->load('mod_djfrontpage');
	
    require_once ('helper.php');
	
	$path = str_replace('modules/mod_djfrontpage/', '', JURI::base());
	

	$moduleclass_sfx = JRequest::getVar( 'moduleclass_sfx', null, 'get', 'string', 0);
	$mid = (int)JRequest::getVar( 'mid', null, 'get', 'int', 0);
	$stitle = JRequest::getVar( 'stitle', null, 'get', 'string', 0);
	$scattitle = JRequest::getVar( 'scattitle', null, 'get', 'string', 0);
	$spag = JRequest::getVar( 'spag', null, 'get', 'int', 0);
	$orderby = JRequest::getVar( 'orderby', null, 'get', 'int', 0);
	$cols = (int)JRequest::getVar( 'cols', null, 'get', 'int', 0);
	$rows = (int)JRequest::getVar( 'rows', null, 'get', 'int', 0);
	$paginationStart = (int)JRequest::getVar( 'pagstart', null, 'get', 'int', 0);
	$categories = JRequest::getVar( 'categories', null, 'get', 'string', 0);
	$catsw = JRequest::getVar( 'catsw', 0, 'get', 'int', 0);
	$categories = explode('|', $categories);
	
	
	$Itemid = JRequest::getVar('Itemid',0, 'get', 'int', 0);
	
	/*
	 * Pagination
	 */
	
	$paginationQuery = 'SELECT COUNT(*) FROM #__djcat_items i, #__djcat_categories c WHERE c.id=i.cat_id AND i.published=1 AND c.published=1 AND (';
	if ($catsw) {
		$paginationQueryFlag = 0;
		foreach ($categories as $value) {
			if ($paginationQueryFlag)
				$paginationQuery .= " OR i.cat_id='.$value.'";
			else {
				$paginationQuery .= "i.cat_id='.$value.'";
				$paginationQueryFlag = 1;
			}
		}
	}
	else {
		$paginationQuery .= '1';
	}
	$paginationQuery .= ');';
	$db = & JFactory::getDBO();
	$db->setQuery($paginationQuery);
	
	$itemsCount = $db->loadResult();
	$itemsPerPage = $rows * $cols;
	if ($spag == 1) {
		$paginationBar ='<pagination><![CDATA[';
		if ($itemsCount > $itemsPerPage && $itemsPerPage > 0) {
			for ($i = 0; $i < $itemsCount; $i = $i + $itemsPerPage) {
				$counter = (int)(($i+$itemsPerPage)/$itemsPerPage);
				if ($paginationStart == $i) $active='active';
				else $active='';
				$paginationBar .= '<span class="button '.$active.'" style="cursor: pointer;" onclick="loadModule('.$mid.','.$i.'); return false;">'.$counter.'</span>&nbsp;';
			}
			
		}
		$paginationBar .= ']]></pagination>';
	}
	$orderbyQuery='';	
	switch ($orderby) {
		case '0':
			$orderbyQuery = 'ORDER BY i.ordering, i.name';
			break;
		case '1':
			$orderbyQuery = 'ORDER BY i.name, i.ordering';
			break;
		case '2':
			$orderbyQuery = 'ORDER BY i.cat_id, i.ordering';
			break;
		case '3':
			$orderbyQuery = 'ORDER BY i.producer_id, i.ordering';
			break;
		case '4':
			$orderbyQuery = 'ORDER BY i.price, i.ordering';
			break;
		default:
			$orderbyQuery = 'ORDER BY i.ordering, i.name';
			break;
	}
	
	$categoriesQuery = 'SELECT i.*, c.name AS cat_name FROM `#__djcat_items` i, `#__djcat_categories` c WHERE i.cat_id=c.id AND i.published=1 AND (';
	if ($catsw) {
		$categoriesQueryFlag = 0;
		foreach ($categories as $value) {
			if ($categoriesQueryFlag)
				$categoriesQuery .= " OR i.cat_id='{$value}'";
			else {
				$categoriesQuery .= "i.cat_id='{$value}'";
				$categoriesQueryFlag = 1;
			}
		}
	}
	else {
		$categoriesQuery .= "1";
	}
	$categoriesQuery .= ") ".$orderbyQuery." LIMIT ".$paginationStart.", ".$itemsPerPage.";";
	$db->setQuery($categoriesQuery);
	$items = $db->loadObjectList();
	
	
	$output = '<?xml version="1.0"?><contents>';
	$gallery ='';
	for ($i = 0; $i  < count($items); $i++) {
		$images = explode(";",$items[$i]->image_url);
		$title = '';
		if($stitle == 1) 
			{
				$title='<h3>'.$items[$i]->name.'</h3>';
			}

		$cattitle = '';
		if($scattitle == 1) 
			{
				$cattitle='<h2>'.$items[$i]->cat_name.'</h2>';
			}
		
		$readmore = JRoute::_('index.php?option=com_djcatalog&view=showItem&id='.$items[$i]->id.'&cid='.$items[$i]->cat_id.'&Itemid='.$Itemid);
		$readmore = str_replace('modules/mod_djfrontpage/', '', $readmore);
		
		$output .= '<content>';
		if($scattitle == 1)
			$output .= '<category><![CDATA['.$cattitle.']]></category>';
		$output .= '<text><![CDATA['.$title.$items[$i]->intro_desc.'<a class="readon" href="'.$readmore.'">'.$language->_('DJ_READMORE').'</a>]]></text>';
		$output .= '<image><![CDATA[<img src="'.$path.'components/com_djcatalog/images/'.$images[0].'.th.jpg" alt="'.$items[$i]->name.'" />]]></image>';
		$output .= '<src><![CDATA['.$path.'components/com_djcatalog/images/'.$images[0].']]></src>';
		$output .= '</content>';
		
		$gallery .=	'<thumb><![CDATA[<a href="'.$readmore.'" onclick="loadItem('.$mid.','.$i.'); return false;"><img src="'.$path.'components/com_djcatalog/images/'.$images[0].'.ths.jpg" alt="'.$items[$i]->name.'" /></a>]]></thumb>';
	}
	
	$all = $output.$gallery.$paginationBar;
	$all .= '</contents>';
	echo $all;
?>
