<?php
/**
* @version		1.00
* @package		DJ Catalog
* @subpackage	DJ Catalog Frontpage Module
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Michal Olczyk - michal.olczyk@design-joomla.eu
*/
class modDjfpHelper {
	static $counter = 0;
	
	public function __construct(){
		self::$counter = self::$counter + 1;
	}
	
	public function getCounter() {
       return self::$counter;
   }
	
}

class Djfp_OptionList
{
    var $text;
    var $value;
    var $disabled;

    function __construct()
    {
        $text = null;
        $value = null;
        $disabled = null;
    }

}

class Djfp_TreeNodeHelper
{
    var $parent_id;
    var $id;
    var $name;
    var $childs = Array();
    var $level;

    function __construct()
    {
        $parent_id = null;
        $id = null;
        $name = null;
        $childs[] = null;
        $elem[] = null;
        $level = 0;
    }


    public function getSortList( & $lists, & $lists_const, & $option = Array(), & $sprawdzone = Array())
    {

        $liczba = count($lists_const);
        foreach ($lists as $list)
        {

            $flaga = 0;
            for ($l = 0; $l < count($sprawdzone); $l++)
            {
                if ($sprawdzone[$l] == $list->id)
                {
                    $flaga = 1;
                }
            }

            if ($flaga == 0)
            {
                $sprawdzone[] = $list->id;

                $this->parent_id = $list->parent_id;
                $this->id = $list->id;
                $this->name = $list->name;
                $op = new Djfp_OptionList;
                $op->text = $this->name;
                $op->value = $this->id;
                $option[] = $op;


                for ($i = 0; $i < $liczba; $i++)
                {
                    if ($lists_const[$i]->parent_id == $list->id)
                    {
                        $child = new Djfp_TreeNodeHelper();
                        $child->id = $lists_const[$i]->id;
                        $child->parent_id = $lists_const[$i]->parent_id;
                        $child->level = $list->level+1;
                        $new_name = $lists_const[$i]->name;
                        for ($lev = 0; $lev < $child->level; $lev++)
                        {
                            $new_name = "&nbsp;&nbsp;&nbsp;".$new_name;
                        }
                        $child->name = $new_name;


                        $this->childs[] = $child;
                        $this->getSortList($this->childs, $lists_const, $option, $sprawdzone);

                    }
                }

            }
        }
        return ($option);
    }
}

function Djfp_getCategories()
{
	$db = &JFactory::getDBO();
	
	$query = "SELECT * FROM #__djcat_categories ORDER BY parent_id";
	$db->setQuery($query);
	$categories = $db->loadObjectList();
	
    return $categories;
}

?>
