<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
require_once(dirname(__FILE__).DS.'..'.DS.'helpers'.DS.'cattree.php');

class JElementDjcategory extends JElement {
	function fetchElement($name, $value, &$node, $control_name)
	{
		$class		= $node->attributes('class');
		
		if (!$class) {
			$class = "inputbox";
		}
		
		$db = &JFactory::getDBO();
	
		$query = "SELECT * FROM #__djcat_categories ORDER BY parent_id";
		$db->setQuery($query);
		$categories = $db->loadObjectList();
	
		$tree = new CatTree();
        $tree->buildTree($categories);
        $root = & $tree->getRoot();

		$options = renderOptionList($root);
		$list = JHTML::_('select.genericlist', $options, $control_name.'['.$name.']', null, 'value', 'text', $value);
		return $list;
	}
}
?>