<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.model');

/*Categories Model*/


class DjcatalogModelCategories extends JModel{
	
	var $_categories;
	
	//budowa klauzuli where do zapytania przy filtrowaniu
	function _buildQueryWhere(){
		global $mainframe, $option;
		
		$filter_state = $mainframe->getUserStateFromRequest($option.'filter_state', 'filter_state');
		
		$where ='';
		
		if($filter_state =='P'){
			$where = 'published = 1';
		}
		elseif($filter_state == 'U'){
			$where = 'published = 0';
		}
		
		return ($where) ? ' WHERE '.$where : '';
	}
	
	
	function getCategories(){
		
		if(!$this->_categories){
			
			$query = "SELECT * FROM #__djcat_categories".$this->_buildQueryWhere()."";

			$this->_categories = $this->_getList($query, 0, 0);

		}

		return $this->_categories;
	}
}
?>