<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.model');

/*Items Model*/


class DjcatalogModelNocategoryitems extends JModel{
	
	var $_items;
	var $_categories;
	
	//budowa klauzuli where do zapytania przy filtrowaniu
	function _buildQueryWhere(){
		global $mainframe, $option;
		
		$filter_state = $mainframe->getUserStateFromRequest($option.'filter_state', 'filter_state');
		
		$where ='';
		
		if($filter_state =='P'){
			$where = 'i.published = 1';
		}
		elseif($filter_state == 'U'){
			$where = 'i.published = 0';
		}
		
		return ($where) ? ' AND '.$where : '';
	}
	
	
	//pobieranie itemow
	function getItems(){
		$limit = JRequest::getVar('limit', 0, '', 'int');
		$limitstart = JRequest::getVar('limitstart', 0, '', 'int');
		if(!$this->_items){
			
			$query = "SELECT i.*  FROM #__djcat_items i WHERE (i.cat_id NOT IN (SELECT c.id FROM #__djcat_categories c)) OR (i.producer_id NOT IN (SELECT p.id FROM #__djcat_producer p))	";

			$this->_items = $this->_getList($query, $limitstart, $limit);

		}
		return $this->_items;
	}
	
	function getCount(){
		$db= &JFactory::getDBO();
		$query = "SELECT COUNT(*) FROM #__djcat_items WHERE (cat_id NOT IN (SELECT c.id FROM #__djcat_categories c)) OR (producer_id NOT IN (SELECT p.id FROM #__djcat_producer p))";

		$db->setQuery($query);
		$allelems=$db->loadResult();


		return $allelems;
	}
	
	
	
	
	
	
	//pobieranie kategorii do wylistowania - alfabetycznie
	function getCategories(){
		
		if(!$this->_categories){
			
			$query = "SELECT * FROM #__djcat_categories ORDER BY name";
			
			$this->_categories = $this->_getList($query,0,0);
		}
		
		return $this->_categories;
	}
	
}
?>
