<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined('_JEXEC') or die ('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.filesystem.path');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');


class DJCatalogViewEdititem extends JView

{

    function display($tpl = null)

    {

        $model = & $this->getModel();

        $nl = $model->getItem();
        $cats = $model->getCategories();
        $producers = $model->getProducer();



        $this->assignRef('nl', $nl);
        $this->assignRef('list', $cats);
        $tree = new CatTree();
        $tree->buildTree($cats);
        $root = & $tree->getRoot();
        $this->assignRef('root', $root);
        $this->assignRef('producers', $producers);



        JRequest::setVar('hidemainmenu', 1);



        JToolBarHelper::title(JText::_('ITEMS'), 'generic.png');

        JToolBarHelper::save('saveItem', JText::_('SAVE'), 'save.png');

        JToolBarHelper::apply('applyItem', JText::_('APPLY'), 'apply.png');

        JToolBarHelper::cancel('cancelItem', JText::_('CANCEL'), 'cancel.png');



        parent::display($tpl);

    }

}



