<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');



class DjCatalogViewNocategoryitems extends JView

{

	function display($tpl = null)

	{
		$model =& $this->getModel();
		
		$limit = JRequest::getVar('limit', 5, '', 'int');
		$limitstart = JRequest::getVar('limitstart', 0, '', 'int');

		jimport('joomla.html.pagination');
		$lista_count_items = $model->getCount();
		$pagination = new JPagination($lista_count_items, $limitstart, $limit);


		$this->assignRef('pagination',$pagination);


		

		$nl = $model->getItems();

		$this->assignRef('list',$nl);
		
		
		

		

		JToolBarHelper::title(JText::_('NO_CATEGORY_ITEMS'));
		
		JToolBarHelper::preferences('com_djcatalog','500');

		JToolBarHelper::addNew('addItem',JText::_('ADD'));

		JToolBarHelper::editList('editItem',JText::_('EDIT'));

		JToolBarHelper::deleteList(JText::_('REMOVE_ACCEPTATION'),'removeItem');

		

		

    	JSubMenuHelper::addEntry(JText::_('CATEGORIES'), 'index.php?option=com_djcatalog', false);

		JSubMenuHelper::addEntry(JText::_('ITEMS'), 'index.php?option=com_djcatalog&task=items', false);

		JSubMenuHelper::addEntry(JText::_('NO_CATEGORY_ITEMS'), 'index.php?option=com_djcatalog&task=nocategoryitems', true);
		
				JSubMenuHelper::addEntry(JText::_('DELETING PRODUCERS'), 'index.php?option=com_djcatalog&task=producers', false);

		parent::display($tpl);

	}

}