<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');



class DjCatalogViewProducers extends JView

{

	function display($tpl = null)

	{

		$model =& $this->getModel();

		$nl = $model->getProducers();
		$limit = JRequest::getVar('limit', 25, '', 'int');
		$limitstart = JRequest::getVar('limitstart', 0, '', 'int');
		$cnl = $model->getCountProducers();

		jimport('joomla.html.pagination');
		$pagination = new JPagination($cnl, $limitstart, $limit);

		$this->assignRef('list',$nl);
		$this->assignRef('pagination',$pagination);

		JToolBarHelper::title(JText::_('DELETING PRODUCERS'));
		
		JToolBarHelper::preferences('com_djcatalog','500');
		
		JToolBarHelper::addNew('addProducer',JText::_('ADD'));

		JToolBarHelper::editList('editProducer',JText::_('EDIT'));

		JToolBarHelper::deleteList(JText::_('REMOVE_ACCEPTATION'),'removeProducers');

		

    	JSubMenuHelper::addEntry(JText::_('CATEGORIES'), 'index.php?option=com_djcatalog', false);

		JSubMenuHelper::addEntry(JText::_('ITEMS'), 'index.php?option=com_djcatalog&task=items', false);
		
		JSubMenuHelper::addEntry(JText::_('NO_CATEGORY_ITEMS'), 'index.php?option=com_djcatalog&task=nocategoryitems', false);
		
		JSubMenuHelper::addEntry(JText::_('DELETING PRODUCERS'), 'index.php?option=com_djcatalog&task=producers', true);		

		parent::display($tpl);

	}

}