<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
function DJCatalogBuildRoute(&$query){
	$db =& JFactory::getDBO();
	$segments = array();
	if(isset($query['view'])){
			if($query['view']=='showItem'){
				$segments[]='details';
				unset($query['view']);
				if(isset($query['cid'])){
					$db->setQuery("SELECT alias FROM #__djcat_categories WHERE id=".intval($query['cid'])." LIMIT 1");
					$catAlias = $db->loadResult();
					$segments[] = intval($query['cid']).'-'.$catAlias;
					unset($query['cid']);
				}
				if(isset($query['id'])){
					$db->setQuery("SELECT alias FROM #__djcat_items WHERE id=".intval($query['id'])." LIMIT 1");
					$itemAlias = $db->loadResult();
					$segments[] = intval($query['id']).'-'.$itemAlias;
					unset($query['id']);
				}
			}
			elseif($query['view']=='show'){
				//$segments[]='categories';
				unset($query['view']);
				if(isset($query['layout'])){
					if ($query['layout'] == 'blog')
						$segments[] = 'blog';
					else
						$segments[] = 'table';
					//$segments[] = $query['layout'];
					unset($query['layout']);
				}
				else {
					$segments[]='table';
				}
				if(isset($query['cid'])){
					$db->setQuery("SELECT alias FROM #__djcat_categories WHERE id=".intval($query['cid'])." LIMIT 1");
					$catAlias = $db->loadResult();
					$segments[] = intval($query['cid']).'-'.$catAlias;
					unset($query['cid']);
				}
				else {
					$segments[] = 'all';
				}
			}			
	}

	return $segments;
}

function DJCatalogParseRoute(&$segments){
	$db =& JFactory::getDBO();
	$query=array();
	if($segments[0]){
		if($segments[0]=='details'){
			$query['view']='showItem';
			if(isset($segments[1])){
				$idAlias = explode(":", $segments[1]);
				$query['cid']=$idAlias[0];
			}
			if(isset($segments[2])){
				$idAlias = explode(":", $segments[2]);
				$query['id']=$idAlias[0];
			}
		}
		elseif($segments[0]=='blog' || $segments[0]=='table'){
			$query['view']='show';
			if ($segments[0]=='blog')
				$query['layout']='blog';
			else
				$query['layout']='default';
			if(isset($segments[1])){
				$idAlias = explode(":", $segments[1]);
				$query['cid']=$idAlias[0];
			}
		}
	}
	return $query;
}

?>