<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');

$limitstart= JRequest::getVar('limitstart',0);
$cid= JRequest::getVar('cid');
$itemid = JRequest::getVar('Itemid');
$producer_id = JRequest::getVar('pid');
$pid = "";
if($producer_id){
	$pid="&pid=".$producer_id."";
}
$search = JRequest::getVar('search', '', '', 'string');
?>

<?php if ($this->params->get( 'show_page_title', 1)) : ?>
<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ) ?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>

<div id="djcatalog">
    <div id="dj_blog">
        <?php
        foreach ($this->items as $list_e)
        {
        ?>
		<div class="contentheading">
        <?php
          echo (JHTML::link(JRoute::_('index.php?option=com_djcatalog&view=showItem&id='.$list_e->id.'&cid='.$list_e->cat_id), $list_e->name));
        ?>
        </div>
        <div class="dj_blog_item">
            <div class="djcat_blog_text">
            	<div class = "djcat_picture_blog">
                <?php
                $images = explode(";", $list_e->image_url);
                if ($list_e->image_url == "") { ?>
                	<img src="<?php echo JURI::base().'components/com_djcatalog/images/'.'error.jpg';?>" />
                <?php } else { ?>
                	<a class="modal" href="<?php echo JURI::base().'components/com_djcatalog/images/'.$images[0];?>" target="_blank"><img src="<?php echo JURI::base().'components/com_djcatalog/images/'.$images[0].'.th.jpg'; ?>" style="top: 0;" alt="<?php echo $list_e->name;  ?>" /></a>
                <?php } ?>
            </div>
                
                <?php
                $price = number_format($list_e->price, 2, $this->dec_sep, $this->th_sep); 
                if ($price > 0 && $this->showprice)
                {
                ?>
                <span class = "djcat_blog_price">
                    <?php
                    if ($this->unit_side)
                    {
                        echo JText::_('PRICE').'&nbsp;'.$price.'&nbsp;'.$this->price_unit;
                    }
                    else
                    {
                        echo JText::_('PRICE').'&nbsp;'.$this->price_unit.'&nbsp;'.$price;
                    }
                    ?>
                </span>
                <?php
                }
                ?>
                <div class = "djcat_intro_blog">
                    <?php
                    echo $list_e->intro_desc;
                    ?>
                </div>
				<div>
					<a href="<?php echo JRoute::_('index.php?option=com_djcatalog&view=showItem&id='.$list_e->id.'&cid='.$list_e->cat_id); ?>" class="readon"><?php echo JText::sprintf('Read more...'); ?></a>
				</div>
            </div>
        </div>
		<div class="clear"> </div>
        <span class="article_separator">&nbsp;</span>
        <?php
        }
        ?>
    </div>
    <div class="dj_blog_pagination">
        <?php
        echo $this->pagination->getPagesLinks();
        ?>
    </div>
    <?php
    if ($this->showfooter)
        echo $this->footer;
    ?>
</div>


