<?php
/**
* @version		1.2
* @package		DJ Catalog
* @subpackage	DJ Catalog Component
* @copyright	Copyright (C) 2007 - 2008 DJ-Projects. All rights reserved.
* @license		This code cannot be redistributed without permission from DJ-Projects - http://design-joomla.eu
* @autor url    http://design-joomla.eu
* @autor email  sales@design-joomla.eu
* @Developers   Lukasz Ciastek - lukasz.ciastek@design-joomla.eu, Michal Olczyk - michal.olczyk@design-joomla.eu
*/
defined ('_JEXEC') or die('Restricted access');
$item = $this->item;
?>
<?php
if($item->published=='1'){   
?>
<?php if ($this->params->get( 'show_page_title', 1)) : ?>
<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ) ?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>
<table class="contentpaneopen" cellpadding="0" cellspacing="0" width="100%">
        <tr>
            <td class="contentheading" width="100%">
                    <?php echo $item->name;?>
            </td>
		</tr>
	</table>
<div class="article-inside">
	<table class="contentpaneopen" cellpadding="0" cellspacing="0">
		<?php if ($this->showprice) {?>
        <tr>
            <td valign="top">
                <span class="small"><?php
				$price = number_format($item->price, 2, $this->dec_sep, $this->th_sep); 
				if ($price > 0 && $this->showprice) {
					if ($this->unit_side)
                    {
                        echo JText::_('PRICE').'&nbsp;'.$price.'&nbsp;'.$this->price_unit;
                    }
                    else
                    {
                        echo JText::_('PRICE').'&nbsp;'.$this->price_unit.'&nbsp;'.$price;
                    }
				}
				else echo JText::_('NO_PRICE');
				?>
				</span>
            </td>
        </tr>
		<?php }?>
        <tr>
            <td valign="top">
                <?php echo $item->description;?>
            </td>
		</tr>
		<tr>
            <td valign="top" class="dj-catalog-gallery">
                <?php
				foreach($this->images as $image)
					echo $image;
				?>
            </td>
        </tr>
		<tr>
            <td valign="top" class="dj-catalog-files">
                <?php
				foreach($this->files as $file)
					echo $file;
				?>
            </td>
        </tr>
		<tr>
            <td valign="top" align="center">
        		<?php echo $this->pagination; ?>
            </td>
        </tr>
    </table>
</div>
	<span class="article_separator"></span>
	<?php if ($this->showfooter) echo $this->footer; ?>
<?php 
} 
else{
	echo JText::_('ITEM_IS_NOT_PUBLISHED');
}
?>
